Get vendor by ID
https://api.propexo.com/v1/vendors/:vendor_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the vendor
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /ItfServiceRequests/GetServiceRequests | Service Requests |
| /ItfResidentData/GetVendors | Common Data |
| /ItfServiceRequests/GetServiceRequestSearch | Service Requests |
cl9kz7rp10004usxq3mk0e2glThe external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /ItfServiceRequests/GetServiceRequests | Service Requests |
| /ItfResidentData/GetVendors | Common Data |
| /ItfServiceRequests/GetServiceRequestSearch | Service Requests |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullThe account number associated with the vendor
This field will always be null for YARDI_REST
nullWhether the vendor is active
| Interface | Method |
|---|---|
| Common Data | /ItfResidentData/GetVendors |
trueThe name associated with the vendor
| Interface | Method |
|---|---|
| Common Data | /ItfResidentData/GetVendors |
Acme PlumbingNotes associated with the vendor
| Interface | Method |
|---|---|
| Common Data | /ItfResidentData/GetVendors |
Preferred vendor for HVAC repairsThe tax payer identification number associated with the vendor
This field will always be null for YARDI_REST
nullA unique value provided to the PMS to uniquely identify the vendor from your system.
This field will always be null for YARDI_REST
nullThe type associated with the vendor
This field will always be null for YARDI_REST
nullcontacts object[]required
The first address line associated with the vendor
This field is not currently hydrated for YARDI_REST
123 Main StThe second address line associated with the vendor
This field is not currently hydrated for YARDI_REST
The city associated with the vendor
This field is not currently hydrated for YARDI_REST
BostonThe country associated with the vendor
This field is not currently hydrated for YARDI_REST
USThe state associated with the vendor
This field is not currently hydrated for YARDI_REST
MAThe zip code associated with the vendor
This field is not currently hydrated for YARDI_REST
02116Primary phone number associated with the vendor
This field is not currently hydrated for YARDI_REST
Type of the primary phone number
This field is not currently hydrated for YARDI_REST
The primary email address associated with the vendor
This field is not currently hydrated for YARDI_REST
Whether the vendor is the primary record
This field is not currently hydrated for YARDI_REST
The name associated with the vendor
This field is not currently hydrated for YARDI_REST
custom_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/vendors/:vendor_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cl9kz7rp10004usxq3mk0e2gl",
"x_property_id": "na",
"x_location_id": null,
"account_number": null,
"is_active": true,
"name": "Acme Plumbing",
"notes": "Preferred vendor for HVAC repairs",
"tax_id": null,
"third_party_id": null,
"type": null,
"contacts": [
{
"address_1": "123 Main St",
"address_2": "string",
"city": "Boston",
"country": "US",
"state": "MA",
"zip": "02116",
"phone": "string",
"phone_type": "string",
"email": "string",
"is_primary": true,
"name": "string"
}
],
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}